Retail Express API 2.1

Gets specific Customer by unique id

Gets specific Customer by unique id

get
https://api.retailexpress.com.au/v2.1/customers/{id}

Path Parameters

idinteger(int32)required

Customer id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Customer

Customer

Customer model

* Additional properties are NOT allowed.
account_customerobject

Account customer view model

* Additional properties are NOT allowed.
Show Child Parameters
acnstring | null

Acn

billing_addressobject

Billing address model

* Additional properties are NOT allowed.
Show Child Parameters
companystring | null

Company

customer_numberstring | null

Customer number

customer_typeobject

Customer type model

* Additional properties are NOT allowed.
Show Child Parameters
date_of_birthstring | null

Date of birth

date_of_birth_withheldboolean

Date of birth with held

delivery_addressesarray | null[object]

Delivery Address model

* Additional properties are NOT allowed.
Show Child Parameters
emailstring | null

Email

faxstring | null

Fax

first_namestring | null

First name

idinteger(int32)

Identifier

last_namestring | null

Last name

loyalty_programobject

Loyalty program model

* Additional properties are NOT allowed.
Show Child Parameters
marketingobject

Marketing view model

* Additional properties are NOT allowed.
Show Child Parameters
mobilestring | null

Mobile

phonestring | null

Phone

price_groupsarray | null[object]

Price group model

* Additional properties are NOT allowed.
Show Child Parameters
survey_responsesarray | null[object]

Survey Response model

* Additional properties are NOT allowed.
Show Child Parameters
websitestring | null

Website

home_outletobject
* Additional properties are NOT allowed.
Show Child Parameters
custom_referencestring | null

Custom reference

export_to_webboolean

Export to web

total_paymentsnumber | null(double)

Total Payments

total_transactionsinteger | null(int32)

Total Transactions

sales_channelsarray | null[object]

CustomerSalesChannel Model

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

get/customers/{id}
 
application/json

Updates Customer

Sample request:

 PUT /customers
    {
         "first_name": "FirstNameUser",
         "last_name": "LastNameUser",
         "company": "company",
         "abn": "abn",
         "phone": "+321",
         "fax": "fax",
         "mobile": "+123",
         "email": "email@lel.org",
         "website": "website.org",
         "custom_reference": "customReference",
         "customer_type": {
                "name": "type1",
                "id": 5
         },
         "home_outlet": {
                "id": 1,
                "name": "name"
         },
         "date_of_birth": "1999-04-30",
         "date_of_birth_withheld": false,
         "marketing":{
                "receive_email": true,
                "receive_post": true,
                "receive_sms": true
         }, 
         "price_groups": [
           {
                "id": 1,
                "name": "name1",
                "type": "Standard"
           },
           {
                "id": 5,
                "name": "name2",
                "type": "Fixed"
          }],
         "billing_address": {
             "address_line1": "address_line1",
             "address_line2": "address_line2",
             "suburb": "suburb",
             "state": "state",
             "postcode": "postcode",
             "country": "country"
         },
         "loyalty_program": {
             "enabled": false,
             "auto_price_group": false
         },
         "account_customer": {
             "enabled": false,
             "payment_terms": 0,
             "credit_limit": 0,
             "credit_blocked": false,
             "credit_remaining": 10
         },
         "survey_responses": [{
             "id": 1,
             "question": "question1",
             "answer": "answer"
         }],
         "sales_channels": [{
             "id": 1
         },
         {
             "id": 2
         }]
    }
put
https://api.retailexpress.com.au/v2.1/customers/{id}

Path Parameters

idinteger(int32)required

Customer id

Example:10000

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Customer model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Returns updated Customer

Customer

Customer model

* Additional properties are NOT allowed.
account_customerobject

Account customer view model

* Additional properties are NOT allowed.
Show Child Parameters
acnstring | null

Acn

billing_addressobject

Billing address model

* Additional properties are NOT allowed.
Show Child Parameters
companystring | null

Company

customer_numberstring | null

Customer number

customer_typeobject

Customer type model

* Additional properties are NOT allowed.
Show Child Parameters
date_of_birthstring | null

Date of birth

date_of_birth_withheldboolean

Date of birth with held

delivery_addressesarray | null[object]

Delivery Address model

* Additional properties are NOT allowed.
Show Child Parameters
emailstring | null

Email

faxstring | null

Fax

first_namestring | null

First name

idinteger(int32)

Identifier

last_namestring | null

Last name

loyalty_programobject

Loyalty program model

* Additional properties are NOT allowed.
Show Child Parameters
marketingobject

Marketing view model

* Additional properties are NOT allowed.
Show Child Parameters
mobilestring | null

Mobile

phonestring | null

Phone

price_groupsarray | null[object]

Price group model

* Additional properties are NOT allowed.
Show Child Parameters
survey_responsesarray | null[object]

Survey Response model

* Additional properties are NOT allowed.
Show Child Parameters
websitestring | null

Website

home_outletobject
* Additional properties are NOT allowed.
Show Child Parameters
custom_referencestring | null

Custom reference

export_to_webboolean

Export to web

total_paymentsnumber | null(double)

Total Payments

total_transactionsinteger | null(int32)

Total Transactions

sales_channelsarray | null[object]

CustomerSalesChannel Model

* Additional properties are NOT allowed.
Show Child Parameters
created_onstring(date-time)

Created on

modified_onstring(date-time)

Modified on

put/customers/{id}

Body

{}
 
application/json

Searches Delivery Addresses by Customer id and other parameters

Searches Delivery Addresses by Customer id and other parameters

get
https://api.retailexpress.com.au/v2.1/customers/{id}/deliveryaddresses

Query Parameters

defaultboolean | null

Is default

modified_sincestring | null(date-time)

Modified since

page_numberinteger(int32)

>= 1<= 100000

page_sizeinteger(int32)

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Customer id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns Delivery Address data

DeliveryAddress.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Delivery Address model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customers/{id}/deliveryaddresses
 
application/json

Creates Customer Delivery Address

Sample request:

 POST /customers/{id}/deliveryaddresses
  {
     "country": "Argentina",
     "state": "QLD",
     "suburb": "Maroochydore",
     "address_line1": "address line 1",
     "address_line2": "address line 2",
     "postcode": "4000",
     "company": "Retail Express",
     "mobile": "0405 966 390",
     "phone": "0405966390",
     "first_name": "Bernie",
     "last_name": "Green",
     "default": false
   }
post
https://api.retailexpress.com.au/v2.1/customers/{id}/deliveryaddresses

Path Parameters

idinteger(int32)required

Customer id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Body

application/json

Delivery Address model

EmptyExample

EmptyExampleobject
* Additional properties are NOT allowed.

Response

application/json

Delivery Address was created

DeliveryAddress

Delivery Address model

* Additional properties are NOT allowed.
countrystring | null

Country

country_codestring | null

Country Code

statestring | null

State

suburbstring | null

Suburb

address_line1string | null

Address line 1

address_line2string | null

Address line 2

postcodestring | null

Post code

companystring | null

Company

mobilestring | null

Mobile phone

phonestring | null

Phone

first_namestring | null

First name

last_namestring | null

Last Name

idinteger(int32)

Identifier

defaultboolean | null

Is Default

modified_onstring(date-time)

Modified on

post/customers/{id}/deliveryaddresses

Body

{}
 
application/json

Gets specific Delivery Address by unique Customer id and Delivery Address id

Gets specific Delivery Address by unique Customer id and Delivery Address id

get
https://api.retailexpress.com.au/v2.1/customers/{id}/deliveryaddresses/{address_id}

Path Parameters

idinteger(int32)required

Customer id

address_idinteger(int32)required

Delivery Address id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns a Delivery Address

DeliveryAddress

Delivery Address model

* Additional properties are NOT allowed.
countrystring | null

Country

country_codestring | null

Country Code

statestring | null

State

suburbstring | null

Suburb

address_line1string | null

Address line 1

address_line2string | null

Address line 2

postcodestring | null

Post code

companystring | null

Company

mobilestring | null

Mobile phone

phonestring | null

Phone

first_namestring | null

First name

last_namestring | null

Last Name

idinteger(int32)

Identifier

defaultboolean | null

Is Default

modified_onstring(date-time)

Modified on

get/customers/{id}/deliveryaddresses/{address_id}
 
application/json